### Method

# Gtk IconViewget_tooltip_context

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_icon_view_get_tooltip_context (
      GtkIconView* icon_view,
      int x,
      int y,
      gboolean keyboard_tip,
      GtkTreeModel** model,
      GtkTreePath** path,
      GtkTreeIter* iter
    )

#### Description [src]

This function is supposed to be used in a `GtkWidget::query-tooltip` signal handler for `GtkIconView`. The `x`, `y` and `keyboard_tip` values which are received in the signal handler, should be passed to this function without modification.

The return value indicates whether there is an icon view item at the given coordinates (`TRUE`) or not (`FALSE`) for mouse tooltips. For keyboard tooltips the item returned will be the cursor item. When `TRUE`, then any of `model`, `path` and `iter` which have been provided will be set to point to that row and the corresponding model.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`x`

  Type: `int`

  The x coordinate (relative to widget coordinates)

`y`

  Type: `int`

  The y coordinate (relative to widget coordinates)

`keyboard_tip`

  Type: `gboolean`

  Whether this is a keyboard tooltip or not.

`model`

  Type: `GtkTreeModel`

  A pointer to receive a `GtkTreeModel`

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`path`

  Type: `GtkTreePath`

  A pointer to receive a `GtkTreePath`

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`iter`

  Type: `GtkTreeIter`

  A pointer to receive a `GtkTreeIter`

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

Whether or not the given tooltip context points to an item.